public class StarringBean extends org.w3c.tools.jdbc.JdbcBeanAdapter {
    
    protected int movieid = -1;   
    protected int actorid = -1;
    
    // related beans
    protected MovieBean movieBean = null;
    protected ActorBean actorBean = null;

    public void setMovieid(int movieid) {
	int oldvalue = this.movieid;
	this.movieid = movieid;
	pcs.firePropertyChange("movieid", oldvalue, movieid);
    }

    public int getMovieid() {
	return movieid;
    }

    public void setActorid(int actorid) {
	int oldvalue = this.actorid;
	this.actorid = actorid;
	pcs.firePropertyChange("actorid", oldvalue, actorid);
    }

    public int getActorid() {
	return actorid;
    }

    public void setMovieBean(MovieBean movieBean) {
	Object old = this.movieBean;
	this.movieBean = movieBean;
	pcs.firePropertyChange("movieBean", old, movieBean);
    }

    public MovieBean getMovieBean() {
	return movieBean;
    }

    public void setActorBean(ActorBean actorBean) {
	Object old = this.actorBean;
	this.actorBean = actorBean;
	pcs.firePropertyChange("actorBean", old, actorBean);
    }

    public ActorBean getActorBean() {
	return actorBean;
    }

}

